# SPDX-License-Identifier: MIT
---
- name: Get file
  slurp:
    path: "{{ __file }}"
  register: __content
  when: not __file_content is defined

- name: Check for presence of ansible managed header, fingerprint
  assert:
    that:
      - __ansible_managed in content
      - __fingerprint in content
  vars:
    content: "{{ __content.content | b64decode }}"
    __ansible_managed: "{{ lookup('template', 'get_ansible_managed.j2') }}"
